/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.mentions.internal.jmx;

/**
 * Interface of the Mentions JMX MBean.
 *
 * @version $Id: 57f2cad28cfb1670e834b68c541233752f8716eb $
 * @since 12.6
 */
public interface JMXMentionsMBean
{
    /**
     *
     * @return the mentions analysis tasks queue size.
     */
    long getQueueSize();

    /**
     * Clear the mentions analysis tasks queue.
     */
    void clearQueue();

    /**
     * @return the current number of threads dedicated to user mentions analysis tasks
     */
    Integer getThreadNumber();
}
