/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.mentions.internal.async;

import org.junit.jupiter.api.Test;
import org.xwiki.test.junit5.mockito.ComponentTest;
import org.xwiki.test.junit5.mockito.InjectMockComponents;

import static java.lang.Thread.NORM_PRIORITY;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertTrue;
import static org.mockito.Mockito.mock;

/**
 * Test of {@link DefaultMentionsThreadsProvider}.
 *
 * @version $Id: ff048364d30c18f894efc2978f52fc020fb38497 $
 * @since 12.6
 */
@ComponentTest
class DefaultMentionsThreadsProviderTest
{
    @InjectMockComponents
    private DefaultMentionsThreadsProvider threadsProvider;

    @Test
    void initializeThread()
    {
        Thread thread = this.threadsProvider.initializeThread(mock(Runnable.class));
        assertNotNull(thread);
        assertEquals("Mentions thread", thread.getName());
        assertTrue(thread.getPriority() < NORM_PRIORITY, "The thread must have a priority lower than the default.");
    }
}
